cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Go to solution

What has happened to browser backward compatibility at godaddy?

Why do I always have to install the latest browser versions before I can access e.g. godaddy.com?

1 ACCEPTED SOLUTION
Community Manager

Hi @RichardS1. Thanks for posting. This is a great question. Like any technology, browser software is always changing. Most often, browser updates occur to fix bugs in a previous version, plug security holes that may be present, and provide new features. Because of this, it's always advisable to use the most recent, stable browser version available for your preferred browser.

 

We're constantly reviewing and updating our products and websites to be compliant and compatible with leading browser (Microsoft Edge, Firefox, Chrome, and Safari) releases as they come out. Unfortunately, we cannot test every browser and operating system combination. Because of this, older versions of leading browsers and lesser known browsers may not be fully compatible with our products and websites. 

 

That may not be the answer you were looking for ,but I hope it helps. 

 

JesseW - GoDaddy | Community Manager | 24/7 support available at x.co/247support | Remember to choose a solution and give kudos.
1 REPLY 1
Community Manager

Hi @RichardS1. Thanks for posting. This is a great question. Like any technology, browser software is always changing. Most often, browser updates occur to fix bugs in a previous version, plug security holes that may be present, and provide new features. Because of this, it's always advisable to use the most recent, stable browser version available for your preferred browser.

 

We're constantly reviewing and updating our products and websites to be compliant and compatible with leading browser (Microsoft Edge, Firefox, Chrome, and Safari) releases as they come out. Unfortunately, we cannot test every browser and operating system combination. Because of this, older versions of leading browsers and lesser known browsers may not be fully compatible with our products and websites. 

 

That may not be the answer you were looking for ,but I hope it helps. 

 

JesseW - GoDaddy | Community Manager | 24/7 support available at x.co/247support | Remember to choose a solution and give kudos.